"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.styles = exports.getIconStyles = void 0;

var _reactNative = require("react-native");

const styles = _reactNative.StyleSheet.create({
  wrapper: {
    paddingLeft: 4,
    alignItems: 'flex-start'
  },
  pressable: {
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'flex-start'
  },
  recursionSpacer: {
    paddingLeft: 4
  }
});

exports.styles = styles;

const getIconStyles = _ref => {
  let {
    show,
    isObject
  } = _ref;
  return {
    marginRight: !show ? 6 : 4,
    borderTopWidth: show ? 6 : 4,
    borderRightWidth: show ? 4 : 0,
    borderBottomWidth: !show ? 4 : 0,
    borderLeftWidth: !show ? 6 : 4,
    borderTopColor: isObject && show ? 'lightgray' : 'transparent',
    borderRightColor: 'transparent',
    borderBottomColor: 'transparent',
    borderLeftColor: isObject && !show ? 'lightgray' : 'transparent'
  };
};

exports.getIconStyles = getIconStyles;
//# sourceMappingURL=styles.js.map