"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ListItem = void 0;

var _react = _interopRequireWildcard(require("react"));

var _clipboard = _interopRequireDefault(require("@react-native-clipboard/clipboard"));

var _styles = require("../../styles");

var _reactNative = require("react-native");

var _DebuggerItem = require("../DebuggerItem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const ListItem = _ref => {
  let {
    item
  } = _ref;
  const [visible, setVisible] = (0, _react.useState)(false);

  const handleCopyPress = () => _clipboard.default.setString(JSON.stringify({ ...item,
    snapshot: undefined,
    snapshotReadable: undefined
  }));

  const colorByType = (0, _styles.itemColorByType)(item.logType);
  const textColor = {
    color: colorByType
  };
  const iconColor = {
    backgroundColor: colorByType
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.itemWrapper
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: _styles.styles.itemHeader
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [_styles.styles.itemIcon, iconColor]
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    selectable: true,
    style: [_styles.styles.itemLabel, textColor]
  }, item.label), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    selectable: true,
    style: [_styles.styles.itemTime, textColor]
  }, item.timestamp), Boolean(item.type) && /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    selectable: true,
    style: [_styles.styles.itemType, textColor]
  }, item.type))), /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, {
    style: visible ? _styles.styles.itemScrollWrapperVisible : _styles.styles.itemScrollWrapper,
    contentContainerStyle: item.itemScroll,
    horizontal: true
  }, /*#__PURE__*/_react.default.createElement(_DebuggerItem.DebuggerItem, {
    onToggle: setVisible,
    item: item.data
  })), visible && /*#__PURE__*/_react.default.createElement(_reactNative.Pressable, {
    onPress: handleCopyPress,
    style: _styles.styles.itemCopyBtn
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: _styles.styles.itemCopyText
  }, "Copy")));
};

exports.ListItem = ListItem;
//# sourceMappingURL=index.js.map