"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.undef = exports.reverseUndefFallback = exports.findDiff = void 0;

var _fastEquals = require("fast-equals");

/*
const asd = new Array(100).fill(null).reduce((accum, item, index) => ({...accum, [index]: { [`${index}11`]: index, [`${index}222`]: {[`${index}333`]: index}} }), {});
const asd1 = new Array(100).fill(null).reduce((accum, item, index) => ({...accum, [index]: { [`${index}1`]: index%100 === 0 ? index + 1 : index, [`${index}2`]: {[`${index}3`]: index%50 === 0 ? index + 1 : index} }}), {});
*/
const undef = '[QA Debugger]: undefined';
exports.undef = undef;

const undefFallback = v => v === undefined ? undef : v;

const reverseUndefFallback = v => v === undef ? undefined : v;

exports.reverseUndefFallback = reverseUndefFallback;
let counter = 0;

const waitForFrame = () => new Promise(r => requestAnimationFrame(r));

const findDiff = async (aRaw, bRaw) => {
  if (!(counter % 1000)) {
    await waitForFrame();
  }

  counter++;
  const a = await aRaw;
  const b = await bRaw;
  if ((0, _fastEquals.deepEqual)(a, b)) return {
    diff: undefined,
    diffReadable: undefined
  };
  const allKeys = [...new Set([...Object.keys(a || {}), ...Object.keys(b || {})])];
  let result = {};
  let resultReadable = {};
  await allKeys.reduce(async (accum, key) => {
    await accum;
    const value = a === null || a === void 0 ? void 0 : a[key];

    if (value && typeof value === 'object' && b !== null && b !== void 0 && b[key] && typeof b[key] === 'object') {
      const {
        diff: innerResult,
        diffReadable: innerResultReadable
      } = await findDiff(value, b[key]);
      result = Object.keys(innerResult || {}).length ? { ...result,
        [key]: undefFallback(innerResult)
      } : result;
      resultReadable = Object.keys(innerResultReadable || {}).length ? { ...resultReadable,
        [key]: undefFallback(innerResultReadable)
      } : resultReadable;
      return;
    }

    if (value === (b === null || b === void 0 ? void 0 : b[key])) return;
    result = { ...result,
      [`${key}`]: undefFallback(b === null || b === void 0 ? void 0 : b[key])
    };
    resultReadable = { ...resultReadable,
      [`${key}`]: {
        current: undefFallback(b === null || b === void 0 ? void 0 : b[key]),
        previous: undefFallback(value)
      }
    };
  }, new Promise(r => r(null)));
  return {
    diff: result,
    diffReadable: resultReadable
  };
}; // findDiff(asd, asd1)


exports.findDiff = findDiff;
//# sourceMappingURL=findDiff.js.map