"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCompleteDebugItems = void 0;

var _promisesSettled = require("./promisesSettled");

var _useDebugItems = require("./useDebugItems");

const getCompleteDebugItems = async debugItems => {
  const preparedItems = await (0, _promisesSettled.promisesSettled)(debugItems.map(async (item, i) => {
    if (i) {
      return { ...item,
        snapshot: await item.snapshot,
        snapshotReadable: await item.snapshotReadable
      };
    }

    const {
      snapshot,
      snapshotReadable
    } = (0, _useDebugItems.getCurrentSnapshots)();
    return { ...item,
      snapshot: await snapshot,
      snapshotReadable: await snapshotReadable
    };
  }));
  return preparedItems.map((item, i) => item.status === 'fulfilled' ? item.value : { ...debugItems[i],
    snapshot: {
      '[RNQADebugger]: Error Processing Snapshot State': item.reason
    },
    snapshotReadable: {
      '[RNQADebugger]: Error Processing Snapshot State': item.reason
    }
  });
};

exports.getCompleteDebugItems = getCompleteDebugItems;
//# sourceMappingURL=getCompleteDebugItems.js.map