import React, { useState } from 'react';
import Clipboard from '@react-native-clipboard/clipboard';
import { itemColorByType, styles } from '../../styles';
import { Pressable, ScrollView, Text, View } from 'react-native';
import { DebuggerItem } from '../DebuggerItem';
export const ListItem = _ref => {
  let {
    item
  } = _ref;
  const [visible, setVisible] = useState(false);

  const handleCopyPress = () => Clipboard.setString(JSON.stringify({ ...item,
    snapshot: undefined,
    snapshotReadable: undefined
  }));

  const colorByType = itemColorByType(item.logType);
  const textColor = {
    color: colorByType
  };
  const iconColor = {
    backgroundColor: colorByType
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.itemWrapper
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.itemHeader
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.itemIcon, iconColor]
  }), /*#__PURE__*/React.createElement(View, null, /*#__PURE__*/React.createElement(Text, {
    selectable: true,
    style: [styles.itemLabel, textColor]
  }, item.label), /*#__PURE__*/React.createElement(Text, {
    selectable: true,
    style: [styles.itemTime, textColor]
  }, item.timestamp), Boolean(item.type) && /*#__PURE__*/React.createElement(Text, {
    selectable: true,
    style: [styles.itemType, textColor]
  }, item.type))), /*#__PURE__*/React.createElement(ScrollView, {
    style: visible ? styles.itemScrollWrapperVisible : styles.itemScrollWrapper,
    contentContainerStyle: item.itemScroll,
    horizontal: true
  }, /*#__PURE__*/React.createElement(DebuggerItem, {
    onToggle: setVisible,
    item: item.data
  })), visible && /*#__PURE__*/React.createElement(Pressable, {
    onPress: handleCopyPress,
    style: styles.itemCopyBtn
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.itemCopyText
  }, "Copy")));
};
//# sourceMappingURL=index.js.map