import { useEffect, useState } from 'react';
let currentShowDebugger = false;
const callbacks = {};
export const toggleDebugger = show => {
  currentShowDebugger = typeof show === 'boolean' ? show : !currentShowDebugger;
  Object.values(callbacks).forEach(callback => {
    callback === null || callback === void 0 ? void 0 : callback(currentShowDebugger);
  });
};

const getGenIdFn = () => {
  let lastId = 0;
  return () => `${lastId++}`;
};

export const getLocalId = getGenIdFn();

const getUseShowDebugger = () => {
  return () => {
    const [show, setShowDebugger] = useState(currentShowDebugger);
    useEffect(() => {
      const uid = getLocalId();

      callbacks[uid] = newShow => setShowDebugger(newShow);

      return () => {
        delete callbacks[uid];
      };
    }, []);
    return [show, toggleDebugger];
  };
};

export const useShowDebugger = getUseShowDebugger();
//# sourceMappingURL=useShowDebugger.js.map