export * from './utils';
export declare const itemColorByType: (typeOrColor?: string) => string | undefined;
export declare const styles: {
    wrapper: {
        flex: number;
        elevation: number;
        zIndex: number;
        position: "absolute";
        left: number;
        top: number;
        width: string | number;
        maxHeight: number;
        backgroundColor: string;
    };
    itemWrapper: {
        width: string;
        padding: number;
        paddingBottom: number;
    };
    itemHeader: {
        flexDirection: "row";
        alignItems: "center";
        justifyContent: "center";
    };
    itemIcon: {
        display: "none";
        marginTop: number;
        width: number;
        height: number;
        borderRadius: number;
        marginRight: number;
        alignSelf: "flex-start";
    };
    itemLabel: {
        fontWeight: "bold";
        fontSize: number;
        textAlign: "center";
    };
    itemTime: {
        fontWeight: "bold";
        fontSize: number;
        textAlign: "center";
    };
    itemType: {
        fontWeight: "bold";
        textAlign: "center";
        marginBottom: number;
    };
    itemCopyBtn: {
        position: "absolute";
        right: number;
        bottom: number;
        paddingVertical: number;
        paddingHorizontal: number;
        borderLeftWidth: number;
        borderTopWidth: number;
        borderColor: string;
    };
    itemCopyText: {
        color: string;
    };
    itemScroll: {
        paddingBottom: number;
    };
    itemScrollWrapperVisible: {
        paddingBottom: number;
        marginBottom: number;
    };
    itemScrollWrapper: {
        paddingBottom: number;
        marginBottom: number;
    };
    titleWrapper: {
        alignItems: "center";
        padding: number;
    };
    title: {
        color: string;
        fontWeight: "bold";
        fontSize: number;
    };
    flex: {
        flex: number;
    };
    separator: {
        width: string;
        borderTopWidth: number;
        borderColor: string;
    };
    emptyWrapper: {
        padding: number;
        alignItems: "center";
        justifyContent: "center";
    };
    emptyText: {
        color: string;
    };
    buttonText: {
        color: string;
        fontWeight: "500";
    };
    button: {
        padding: number;
        flex: number;
        flexDirection: "row";
        alignItems: "center";
        justifyContent: "center";
    };
    switcher: {
        position: "absolute";
        left: number;
        top: number;
    };
    sendButton: {
        marginHorizontal: number;
        paddingVertical: number;
        paddingHorizontal: number;
        borderWidth: number;
        borderColor: string;
    };
    sendToInput: {
        color: string;
        margin: number;
        paddingVertical: number;
        paddingHorizontal: number;
        borderWidth: number;
        flex: number;
    };
    centralButton: {
        borderLeftWidth: number;
        borderRightWidth: number;
        borderColor: string;
    };
    buttonSection: {
        flexDirection: "row";
        alignItems: "center";
        borderColor: string;
        borderTopWidth: number;
    };
};
